#include<bits/stdc++.h>
#define ll long long
using namespace std;
long long value(int r, int c);
ll a[500][500];
std::pair<int, int> find_locmin_point(int N, int M){
    int x=0,y=0;
    bool flag[500][500];
    a[0][0]=value(1,1);
    flag[0][0]=1;
    while(true){
        if(x){
            if(flag[x-1][y]==0){
                a[x-1][y]=value(x,y+1);
                flag[x-1][y]=1;
            }
            if(a[x-1][y]<=a[x][y]){
                x--;
                continue;
            }
        }
        if(y){
            if(flag[x][y-1]==0){
                a[x][y-1]=value(x+1,y);
                flag[x][y-1]=1;
            }
            if(a[x][y-1]<=a[x][y]){
                y--;
                continue;
            }
        }
        if(x!=N-1){
            if(flag[x+1][y]==0){
                a[x+1][y]=value(x+2,y+1);
                flag[x+1][y]=1;
            }
            if(a[x+1][y]<=a[x][y]){
                x++;
                continue;
            }
        }
        if(y!=M-1){
            if(flag[x][y+1]==0){
                a[x][y+1]=value(x+1,y+2);
                flag[x][y+1]=1;
            }
            if(a[x][y+1]<=a[x][y]){
                y++;
                continue;
            }
        }
        pair<ll,ll>ans;
        ans.first=x+1;
        ans.second=y+1;
        return ans;
    }
}